#!/bin/bash

. $1

ACTION=archive_ready
CHECKNAME=pg_${DBNAME}_${ACTION}
DBWARNING=$NUMWARNINGWAL
DBCRITICAL=$NUMCRITICALWAL

if [ $NUMWALEANBLED -eq 1 ]; then 
	/usr/local/bin/check_postgres.pl --H $DBHOST --dbname=$DBNAME --dbuser=$DBUSER --dbpass=$DBPASS --exclude=template0 --exclude=template1 --exclude=postgres  --action $ACTION -w $DBWARNING -c $DBCRITICAL  |  awk -v cn=$CHECKNAME -vORS=''  '{ 
                                                                        if ($2 == "OK:")
                                                                                {print "0 "cn " - OK "; for (i = 3; i <= NF; i++) printf("%s ", $i); print "\n"}
                                                                        else if ($2 == "WARNING:")
                                                                                {print "1 "cn " - WARNING "; for (i = 3; i <= NF; i++) printf("%s ", $i); print "\n"}
                                                                        else if ($2 == "CRITICAL:")
                                                                                {print "2 "cn " - CRITICAL "; for (i = 3; i <= NF; i++) printf("%s ", $i); print "\n"}
                                                                        else if ($2 == "UNKNOWN:")
                                                                                {print "3 "cn " - UNKNOWN "; for (i = 3; i <= NF; i++) printf("%s ", $i); print "\n"}
                                                                        }';
fi

