#!/bin/bash

. $1

ACTION=custom_query
QUERY_LABEL="repl_slots"
CHECKNAME=pg_${DBNAME}_${ACTION}_${QUERY_LABEL}
DBWARNING=$REPLSLOTSWARNING
DBCRITICAL=$REPLSLOTSCRITICAL


if [ $REPLSLOTSENABLED -eq 1 ]; then 
	/usr/local/bin/check_postgres.pl --H $DBHOST --dbname=$DBNAME --dbuser=$DBUSER --dbpass=$DBPASS --exclude=template0 --exclude=template1 --exclude=postgres  --action $ACTION -w $DBWARNING -c $DBCRITICAL --query "select CASE when active_count=all_count THEN 0 ELSE 2 END AS result from (select count(active) AS active_count from pg_replication_slots where active='t') AS active_count, (select count(active) AS all_count from pg_replication_slots) AS all_count" |  awk -v cn=$CHECKNAME -vORS=''  '{ 
                                                                        if ($2 == "OK:")
                                                                                {print "0 "cn " - OK "; for (i = 3; i <= NF; i++) printf("%s ", $i); print "\n"}
                                                                        else if ($2 == "WARNING:")
                                                                                {print "1 "cn " - WARNING "; for (i = 3; i <= NF; i++) printf("%s ", $i); print "\n"}
                                                                        else if ($2 == "CRITICAL:")
                                                                                {print "2 "cn " - CRITICAL "; for (i = 3; i <= NF; i++) printf("%s ", $i); print "\n"}
                                                                        else if ($2 == "UNKNOWN:")
                                                                                {print "3 "cn " - UNKNOWN "; for (i = 3; i <= NF; i++) printf("%s ", $i); print "\n"}
                                                                        }';
fi

